-- ===========================================
-- Extended Properties on Database template
-- ===========================================
USE master;
GO

-- Add an extended property to a database
EXEC sp_addextendedproperty 
	@name=N'Help.ME', 
	@value=N'I am documenting things!' 
GO

-- Modify an existing extended property on a database
EXEC sp_updateextendedproperty 
	@name=N'Help.ME', 
	@value=N'I am documenting things! In an extended property. :(' 
GO

-- List the extended properties for the database object
SELECT name, value
FROM fn_listextendedproperty(default, default, default, default, default, default, default)
WHERE NAME = 'Help.ME';
GO
BEGIN
    
    -- Drop the new extended property (<database_ex_prop_name,,Created_By>)
    EXEC sp_dropextendedproperty @name=N'Help.ME'
    GO
END
